#
# spec file for package rubygem-typhoeus-0
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-typhoeus-0
Version:        0.8.0
Release:        lp151.3.1
%define mod_name typhoeus
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/typhoeus/typhoeus
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Parallel HTTP library on top of libcurl multi
License:        MIT
Group:          Development/Languages/Ruby

%description
Like a modern code version of the mythical beast with 100 serpent heads,
Typhoeus runs HTTP requests in parallel while cleanly encapsulating handling
logic.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Sep 18 2015 coolo@suse.com
- updated to version 0.8.0
  see installed CHANGELOG.md
* Sun Aug  9 2015 coolo@suse.com
- updated to version 0.7.3
  see installed CHANGELOG.md
* Sat Jun 20 2015 coolo@suse.com
- updated to version 0.7.2
  see installed CHANGELOG.md
  [#]# Master
  [Full Changelog](http://github.com/typhoeus/typhoeus/compare/v0.7.2...master)
  [#]# 0.7.2
  [Full Changelog](http://github.com/typhoeus/typhoeus/compare/v0.7.1...v0.7.2)
  * Allow arrays to be passed to Expectation#and_return
    ([JP Moral](https://github.com/jpmoral))
  * Added getter for `redirect_time` value.
    ([Adrien Jarthon](https://github.com/jarthod))
* Tue Feb 10 2015 coolo@suse.com
- updated to version 0.7.1
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Fri Mar 21 2014 coolo@suse.com
- updated to version 0.6.8
  Bugfixes:
  * Fix Faraday 0.9 compatibility.
  ([Gleb Mazovetskiy](https://github.com/glebm), [\#357](https://github.com/typhoeus/typhoeus/pull/357)
  * Fix Request#hash for different key orders.
  ([Matthew Schulkind](https://github.com/mschulkind), [\#344](https://github.com/typhoeus/typhoeus/pull/344))
  Enhancements:
  * Use SVG for status badges in README.
  7[Sean Linsley](https://github.com/seanlinsley), [\#353](https://github.com/typhoeus/typhoeus/pull/353))
  * Missing quotes in README example code.
  ([Jason R. Clark](https://github.com/jasonrclark), [\#351](https://github.com/typhoeus/typhoeus/pull/351))
  * Specs for Faraday adapter.
  ([michaelavila](https://github.com/michaelavila), [\#348](https://github.com/typhoeus/typhoeus/pull/348))
  * Clarify wording in README.
  ([Sean Linsley](https://github.com/seanlinsley), [\#347](https://github.com/typhoeus/typhoeus/pull/347))
  * Make caching easier for non-memory caches.
  ([Matthew Schulkind](https://github.com/mschulkind), [\#345](https://github.com/typhoeus/typhoeus/pull/345))
  * Spec refactoring.
  ([Matthew Schulkind](https://github.com/mschulkind), [\#343](https://github.com/typhoeus/typhoeus/pull/343))
* Fri Dec 20 2013 coolo@suse.com
- updated to version 0.6.7
  Enhancements:
  * Add response streaming.
  ([\#339](https://github.com/typhoeus/typhoeus/pull/339))
* Fri Nov  1 2013 coolo@suse.com
- updated to version 0.6.6
  [Full Changelog](http://github.com/typhoeus/typhoeus/compare/v0.6.5...v0.6.6)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 0.6.5
  [Full Changelog](http://github.com/typhoeus/typhoeus/compare/v0.6.3...v0.6.5)
* Thu May  9 2013 coolo@suse.com
- updated to version 0.6.3
  Enhancements:
  * Cache hydra per thread.
  * Various documentation improvements.
  ([craiglittle](https://github.com/craiglittle))
  * Add support for lazy construction of responses from stubbed requests.
  ([ryankindermann](https://github.com/ryankinderman), [\#275](https://github.com/typhoeus/typhoeus/pull/275))
  * Reintroduce a global cache.
  * `Request#handled_response` falls back to the original response.
  ([turnerking](https://github.com/turnerking), [\#272](https://github.com/typhoeus/typhoeus/pull/272))
  * When `Errors::NoStub` is raised the `url` is displayed.
  ([dschneider](https://github.com/dschneider), [\#276](https://github.com/typhoeus/typhoeus/pull/276))
  * Make `Request#hash` consistent.
  * Add `.rvmrc` and `ctags` to `.gitignore`.
  ([ryankindermann](https://github.com/ryankinderman), [\#274](https://github.com/typhoeus/typhoeus/pull/274))
* Fri Dec 28 2012 coolo@suse.com
- initial package (version 0.5.3)
